package com.yfd.platform.modules.experimentalData.mapper;

import com.yfd.platform.modules.experimentalData.domain.TsFiles;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 试验任务文档表 Mapper 接口
 * </p>
 *
 * @author LiMengNan
 * @since 2025-01-21
 */
public interface TsFilesMapper extends BaseMapper<TsFiles> {

    int batchInsertTsFiles(List<TsFiles> tsFilesToCreate);

    int updateParentIdByPathHierarchy(@Param("taskId") String taskId, @Param("nodeId") String nodeId);

    int countFiles(@Param("id") String id);
}
